<template>
  <div>
    <LHeader text="签到记录"> </LHeader>
    <div>
      <van-cell
        v-for="item in list"
        :key="item.id"
        :title="item.type ? '签到' : '签退'"
        :value="item.createTime"
      >
        <template #label>
          <div>备注：{{ item.remark }}</div>
          <div>照片：<img src="" alt="" /></div>
        </template>
      </van-cell>
    </div>
  </div>
</template>

<script>
import LHeader from "@/components/header.vue";
import { getFun } from "@/service/table.js";
export default {
  components: { LHeader },
  data() {
    return {
      list: [],
    };
  },
  mounted() {
    this.getList();
  },
  methods: {
    getList() {
      getFun("/risk/plan/sign/list").then((res) => {
        if (res.code == 200) {
          this.list = res.rows;
        }
      });
    },
  },
};
</script>

<style lang="scss" scoped></style>
